Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - Jobs

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Jobs

Background job management and status.

List background jobs

Get all currently running background jobs.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
Array
errorMessages
required
Array of strings

List of error messages produced by the job.

id
required
string <uuid>

UUID of the job.

infoMessages
required
Array of strings

List of informational messages produced by the job.

jobName
required
string

Human-readable name of the job.

jobStatus
required
string
Enum: "SCHEDULED" "ENQUEUED" "PROCESSING" "FAILED" "SUCCEEDED" "DELETED"

PENDING, RUNNING, COMPLETED, or FAILED.

progressMessage
required
string

Current status message.

progressPercent
required
integer <int32>

0-100.

warnMessages
required
Array of strings

List of warning messages produced by the job.

errorHttpCode
integer <int32>

HTTP error code on failure.

errorCustomCode
string

Custom error code.

Response samples

Content type
application/json
[
  • {
    • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    • "jobName": "string",
    • "jobStatus": "SCHEDULED",
    • "progressPercent": 0,
    • "progressMessage": "string",
    • "errorHttpCode": 0,
    • "errorCustomCode": "string",
    • "errorMessages": [
      ],
    • "infoMessages": [
      ],
    • "warnMessages": [
      ]
    }
]

Get background job

Get information about a single background job.

Authorizations:
bearerAuth
path Parameters
id
required
string

Responses

Response Schema: application/json
errorMessages
required
Array of strings

List of error messages produced by the job.

id
required
string <uuid>

UUID of the job.

infoMessages
required
Array of strings

List of informational messages produced by the job.

jobName
required
string

Human-readable name of the job.

jobStatus
required
string
Enum: "SCHEDULED" "ENQUEUED" "PROCESSING" "FAILED" "SUCCEEDED" "DELETED"

PENDING, RUNNING, COMPLETED, or FAILED.

progressMessage
required
string

Current status message.

progressPercent
required
integer <int32>

0-100.

warnMessages
required
Array of strings

List of warning messages produced by the job.

errorHttpCode
integer <int32>

HTTP error code on failure.

errorCustomCode
string

Custom error code.

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "jobName": "string",
  • "jobStatus": "SCHEDULED",
  • "progressPercent": 0,
  • "progressMessage": "string",
  • "errorHttpCode": 0,
  • "errorCustomCode": "string",
  • "errorMessages": [
    • "string"
    ],
  • "infoMessages": [
    • "string"
    ],
  • "warnMessages": [
    • "string"
    ]
}

List background jobs

Get all currently running background jobs.

Authorizations:
bearerAuth
query Parameters
limit
integer <int32>
Default: 50

Responses

Response Schema: application/json
Array
errors
required
Array of strings

List of error messages produced by the job.

id
required
string <uuid>

UUID of the job.

kind
required
string

Job kind, e.g. application.deploy.

state
required
string
Enum: "AVAILABLE" "SCHEDULED" "RUNNING" "RETRYABLE" "COMPLETED" "DISCARDED" "CANCELLED"

AVAILABLE, SCHEDULED, RUNNING, RETRYABLE, COMPLETED, DISCARDED, or CANCELLED.

Response samples

Content type
application/json
[
  • {
    • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    • "kind": "string",
    • "state": "AVAILABLE",
    • "errors": [
      ]
    }
]

Get background job

Get information about a single background job.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

Responses

Response Schema: application/json
errors
required
Array of strings

List of error messages produced by the job.

id
required
string <uuid>

UUID of the job.

kind
required
string

Job kind, e.g. application.deploy.

state
required
string
Enum: "AVAILABLE" "SCHEDULED" "RUNNING" "RETRYABLE" "COMPLETED" "DISCARDED" "CANCELLED"

AVAILABLE, SCHEDULED, RUNNING, RETRYABLE, COMPLETED, DISCARDED, or CANCELLED.

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "kind": "string",
  • "state": "AVAILABLE",
  • "errors": [
    • "string"
    ]
}